## List documents

### JavaScript

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({containerTags: ['user_123', 'project_123']})
};

fetch('https://api.supermemory.ai/v3/connections/{provider}/documents', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### Responses

| Status Code | Description |
|-------------|-------------|
| 200         | Success     |
| 401         | Unauthorized |
| 404         | Not Found   |
| 500         | Server Error|

```json
[
  {
    "createdAt": "<string>",
    "id": "<string>",
    "status": "<string>",
    "summary": "<string>",
    "title": "<string>",
    "type": "<string>",
    "updatedAt": "<string>"
  }
]
```

### Documentation Index
Fetch the complete documentation index at: [https://supermemory.ai/docs/llms.txt](/content/docs/llms.txt)

### Authorizations

**Authorization**  
`string`  
**header**  
_required_  
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Path Parameters

**provider**  
`enum<string>`  
_required_  
Available options:
- `notion`
- `google-drive`
- `onedrive`
- `gmail`
- `github`
- `web-crawler`
- `s3`

### Body

**containerTags**  
`string[]`  
Optional comma-separated list of container tags to filter documents by  
Maximum string length: `100`  
Pattern: `^[a-zA-Z0-9_:-]+$`  
Example:

```json
["user_123", "project_123"]
```

### Response

- **200**  
  **application/json**  
  List of documents

**createdAt**  
  `string<datetime>`  
  _required_

**id**  
  `string`  
  _required_

**status**  
  `string<datetime>`  
  _required_

**summary**  
  `string | null`  
  _required_

**title**  
  `string | null`  
  _required_

**type**  
  `string`  
  _required_

**updatedAt**  
  `string<datetime>`  
  _required_
